#!/bin/sh

echo '#include "imagefactory.h"'

n=1
for f
do
  gdk-pixbuf-csource --static --raw "--name=img$n" "$f" || exit 1
  n=`expr $n + 1`
done

cat <<END
namespace {
	class ImgRegistrar
	{
	public:
		ImgRegistrar() {
END

n=1
for f
do
  fname=`basename "$f"`
  echo "ImageFactory::add(\"$fname\", img$n, sizeof(img$n));"
  n=`expr $n + 1`
done

cat <<END
		}
	} instance;
}
END
